__gnu_parallel::_LoserTreePointer< false, _Tp, _Compare > Class Template Reference
Inheritance diagram for __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >:
[legend]

## Public Member Functions

| _LoserTreePointer (unsigned int __k, _Compare __comp=std::less< _Tp >())
void | __delete_min_insert (const _Tp &__key, bool __sup)
int | __get_min_source ()
void | __init ()
unsigned int | __init_winner (unsigned int __root)
void | __insert_start (const _Tp &__key, int __source, bool __sup)

## Protected Attributes

_Compare | _M_comp
unsigned int | _M_ik
unsigned int | _M_k
_Loser * | _M_losers
unsigned int | _M_offset

## Detailed Description

### template<typename _Tp, typename _Compare>
class __gnu_parallel::_LoserTreePointer< false, _Tp, _Compare >

Unstable _LoserTree implementation.

The stable variant is above.

Definition at line 491 of file losertree.h.

The documentation for this class was generated from the following file:

- losertree.h